import { Body, Controller, Post, Get, Query } from '@nestjs/common'
import { EmailService } from './email.service'
import { ApiTags, ApiOperation } from '@nestjs/swagger'
import { EmailSendDto, EmailVerifycationDto } from './dto/email.dto'

@ApiTags('Email')
@Controller('api/email')
export class EmailController {
  constructor(private readonly emailService: EmailService) {}

  @ApiOperation({ summary: '发送邮箱验证码' })
  @Get('verifyCode')
  async sendEmailCode(@Query() payload: EmailSendDto) {
    return this.emailService.sendEmailToken(payload.email, payload.scene)
  }

  @ApiOperation({ summary: '验证邮箱验证码' })
  @Post('verifyCode')
  async verifyEmailCode(@Body() payload: EmailVerifycationDto) {
    return this.emailService.verifyEmailCode(payload)
  }
}
